arduino (2:1.8.19+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Jan 2022 11:55:00 +0100

arduino (2:1.8.19+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [d75d6d4] New upstream version 1.8.19+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Dec 2021 09:16:32 +0100

arduino (2:1.8.18+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [2c8c580] New upstream version 1.8.18+dfsg1
  * [c98f6a9] d/control: Add needed Build-Depends for manpage build
    To being able to build the manpage arduino.1 from the source additional
    packages are needed, as the source for the manpage is asciidoc we need
    asciidox and xmlto.
  * [d31ebed] d/rules: Add call to build arduino.1 from source
  * [4340dd0] d/arduino.manpages: Use created arduino.1 from source
    Pick up and ship the file arduino.1 from the build directory instead of
    using the old file from the debian/ folder.
    (Closes: #1001758)
  * [ef7cef9] d/arduino.1: Remove the old hand crafted manpage file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Dec 2021 16:13:30 +0100

arduino (2:1.8.16+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Sep 2021 12:52:10 +0200

arduino (2:1.8.16+dfsg1-1) unstable; urgency=medium

  * [c6b7f17] New upstream version 1.8.16+dfsg1
  * [407f7cf] Rebuild patch queue from patch queue branch
    Removed patch (obsolete):
    debian-hacks/Don-t-download-any-external-documentation-files.patch
  * [ed2ea42] d/control: Bump Standards-Version to 4.6.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Sep 2021 08:57:43 +0200

arduino (2:1.8.15+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.
  * [a216e1e] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 13:14:24 +0200

arduino (2:1.8.15+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [db1bcc6] d/gbp.conf: Added extra component archive
    The examples have been excluded from the UI source, these now excluded
    and dedicated provided files aren't packaged yet, so we add them for now
    as an extra tarball.
  * [a170151] New upstream version 1.8.15+dfsg1
  * [b66ecfc] rebuild patch queue from patchqueue branch
    added patch:
    debian-hacks/Don-t-download-any-external-example-files.patch
    adjusted patch:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    updated patches (no adjustments or changes needed):
    debian-hacks/Don-t-follow-symlinked-jar-files.patch
    debian-hacks/Prevent-more-downloads-while-package-build.patch
    removed patch (included upstream):
    debian-hacks/Remove-update-notice-about-new-available-version.patch
  * [e532915] d/arduino.docs: Adjust different examples/ folder
  * [3dedaff] d/copyright: Reflect added examples folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 May 2021 09:45:00 +0200

arduino (2:1.8.13+dfsg1-2) unstable; urgency=medium

  * Team upload
  * [e1dccaf] d/u/metadata: Adding DEP12 based metadata
  * [5ca53c5] d/README.source: Rework information and suggestions
  * [990e2d7] README.Debian: Adding notes regarding IDE language reference
    We don't package the Arduino language reference currently, but having
    (offline) access to it might be desirable by users.
    Adding some steps how the reference could be made available within the
    IDE.
  * [81e8635] d/control: Adding entry for Rules-Requires-Root: no
  * [3f07192] d/watch: re-add the pgpsigurlmangle option
  * [e1f08c2] d/arduino.lintian-overrides: ignore duplicated pics
    Ignore potential duplicated png files within the documentation, they are
    very small.
  * [5e9abef] d/arduino.links: Correct linking to bcprov.jar
    (Closes: #985506)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Mar 2021 16:47:01 +0100

arduino (2:1.8.13+dfsg1-1) unstable; urgency=medium

  * Team upload
    (Closes: #863001)
  * [f9d3880] arduino: add min required version of arduino-builder
    We want to use arduino-builder version >= 1.3.25-2 so users won't have
    possible strange side effects if they use otherwise an older version.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Jan 2021 19:13:48 +0100

arduino (2:1.8.13+dfsg1-1~exp2) experimental; urgency=medium

  * Team upload
  * [54cd5cb] rebuild patch queue from patchqueue branch
    Added patch:
    debian-hacks/Don-t-run-extra-options-on-ARM.patch
  * [a99b7b1] d/control: Decrease list of architecture to build
    Limiting the build to any-amd64 any-i386 arm64 armel armhf, only these
    architectures wgetting support by upstream.
    (Closes: #976930)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Jan 2021 09:43:23 +0100

arduino (2:1.8.13+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload

  [ Scott Howard ]
  * [b3ae605] Imported Upstream version 1.6.0+dfsg

  [ Geert Stappers ]
  * [1cd9f55] Imported Upstream version 1.6.8
  * [c01e14d] Imported Upstream version 1.8.2
  * [cf271e6] Imported Upstream version 1.8.2+dfsg

  [ Carsten Schoenert ]
  * [8bf88fc] Adding config file for git-buildpackage
  * [82131c9] New upstream version 1.8.13+dfsg1
    (Closes: #723929, #724804, #757223, #758039, #780609, #780706, #786405,
             #850784, #850964, #857463, #885830, #876495, #877201, #891901,
             #894770, #894823, #925578, #927329, #947228, #976930)
  * [77d4a95] rebuild patch queue from patchqueue branch
    Rebuild and reorder the existing patches.
    Added patches:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    debian-hacks/Don-t-use-functions-from-jtouchbar.patch
    debian-hacks/Ignore-Apple-specific-check-from-apple-lib.patch
    debian-hacks/Install-appdata.xml-into-propriate-folder.patch
    Dropped patches:
    gcc47_avr.patch
  * [4c43fd7] running wrap-and-sort to improve readability
  * [4714c7b] debhelper: move over to debhelper 13
  * [0f1249c] d/control: Adjust dependencies for package built
  * [c49f415] d/control: remove version requirement on librxtx-java
    The previous used minimal version is always fulfilled now, we only have
    higher versions within the archive.
  * [b27f91e] d/control: Update upstream homepage to use https
  * [bb5a6d5] d/control: Adjust depending packages on binary packages
    Removing now useless versions on various depending packages, all
    available versions are higher than the declared old minimal versions for
    the binary packages.
    Replacing java6-runtime by openjdk-11-jre, the former package isn't
    available any more.
  * [8a31b55] d/control: Switching Priority from extra to optional
    Priority extra is now replaced by optional.
  * [5760d82] arduino.install: Melting arduino-core in
    We don't want and need to build a package arduino-core anymore as the
    old core parts are now will live in it's own package arduino-core-avr.
    But some old things from arduino-core migrate now over into the arduino
    package. Adding new and adjust existing folder and files to install.
  * [57fe853] arduino.links: Merge linking from arduino-core
    As before for the install sequencer also taking over the symlinking from
    arduino-core into the arduino package.
  * [53774dd] arduino.docs: Move over from arduino-core
    As we give up arduino-core the sequencer content from arduino-core will
    move over to arduino.
  * [2276b48] d/control: Adjust package dependencies for arduino
    The arduino package needs some more Java libraries for complete
    functionality.
  * [c764a05] d/rules: Workaround potential misbehavior of jh_linkjars
    It looks like jh_linkjars isn't linking all the Java libraries from
    /usr/share/java into the lib/ folder. Thus we do some hacking around
    this to get the required libraries in place.
  * [d47279e] d/control: Bump Standards-Version to 4.5.1
    No further changes needed.
  * [683f295] d/control: Turn package arduino into arch:any
    The arduino package is using the architecture dependent library
    libastylej-jni already for some time, this requires an architecture
    dependent availability of this library.
  * [1fc2ad5] d/control: Remove obsolete arduino-core package
  * [cfff045] arduino: Adding Breaks on old arduino-core package
    The arduino-core package isn't alive any more, the old package needs a
    break to not getting in conflict with the current arduino package.
  * [0a20a08] d/rules: Use DEB_VERSION_UPSTREAM_REVISION variable
  * [97a57e7] arduino.lintian-overrides: Add some overrides
    Let lintian don't bother on .txt files which are used and required by the
    IDE and are no documentation.
  * [5823ee6] arduino: Remove the menu file
    Due CTTE decision on #741573 we don't want to ship a menu file for
    applications any more. We can remove the existing menu sequencer
    including the XPM graphic.
  * [311035e] d/arduino.desktop: Update and sync file against upstream
    Small updates to the prepared desktop file for Arduino which are mostly
    taken from the upstream source.
  * [0bb1d51] d/arduino.desktop: Adding additional category IDE
    (Closes: #923496)
  * [96c16b6] d/rules: Remove some unneeded files installed by ant
    The ant build system is installing the high-res icons within the
    applications lib/ folder which is basically wrong. By using globbing within
    the install sequencer the icons are also installed into the base for the
    package, if we don't remove that folder before.
    Also removing the installed desktop.template file in the same folder just
    before dh_install is called.
  * [b9fb86b] arduino: Use high-res icons from upstream
    Upstream is providing now high-res icons for various and more sizes
    Debian has, we don't need to ship icons by our own sources, using the
    upstream files is more straight forward.
  * [451d3a3] Build and install ArduinoSerialPlotterProtocol.pdf
    This PDf is filtered out while importing new source data, adding
    required packages amd build instructions so we can ship the PDF file.
  * [528fe68] d/arduino.links: Link to the platform stuff from a-builder
    These two files (platform{,.keys.rewrite}.txt) are provided by another
    package, arduino-builder but are required to use the IDE.
  * [4a63468] d/arduino.links: Adding linking to required Java libs
    Arduino originally ships all required Java libraries to get the IDE
    usable, as these are prebuilt binaries we need to filter them out while
    import the source. Happily all the needed libraries are packaged within
    Debian and we "only" need to link them back into the lib/ folder of the
    application.
  * [a45525f] d/control: Adding more explicit dependencies
    After adding the linking of required Java libraries we need to ensure
    all the linked .jar files are around. Adding all providing packages as
    a dependency for the arduino package.
  * [5740c14] d/README.source: Adding a side note about Java libs
  * [f336327] d/copyright: Update content due changes by upstream
  * [c8678b4] d/watch: Update content to catch correct data
    Dropping support verifying of signed data for now.
    (Closes: #849213)
  * [cb398e2] d/control: Adding arduino-core-avr to Depends
  * [e4a1bbb] d/control: Move Maintainer to Debian Electronics Team

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 08 Jan 2021 12:42:57 +0100

arduino (2:1.8.5+dfsg.3-1) UNRELEASED; urgency=medium

  [ Ignacio Losiggio ]
  * New upstream version (Closes: #780706)
  * Generated a new tarball without platform-specific windows/mac code

 -- Ignacio Losiggio <iglosiggio@gmail.com>  Wed, 28 Mar 2018 14:48:49 -0300

arduino (2:1.8.5+dfsg-1) UNRELEASED; urgency=medium

  [ Ignacio Losiggio ]
  * New upstream version
  * Various patches refreshed

 -- Ignacio Losiggio <iglosiggio@gmail.com>  Wed, 27 Dec 2017 15:05:05 -0300

arduino (2:1.8.2+dfsg-0.1) UNRELEASED; urgency=medium

  [ Geert Stappers ]
  * Non-maintainer upload.
  * New upstream version (Closes: #780706)
  * watch file revisited, s/google code/git hub/
  * README.source:  new file, to document some how our workflow
  * Documented '+dfsg' in README.source
  * raised compat version from 8 to 9
  * control:
    - build depend on libastyle-dev
    - build depends for .jar files that upstream has in their tarball
    - build depend on unzip
  * Various patches refreshed
  * New patches:
    - Libastyle is packaged
    - No Mac OS X  Think Different
    - Seperate reference

 -- Geert Stappers <stappers@debian.org>  Tue, 30 May 2017 09:05:00 +0200

arduino (2:1.6.8-0) UNRELEASED; urgency=medium

  * Never uploaded.
  * Used as exercise for 1.8.2
  * Note: 'dfsg' is gone from the debian version

 -- Geert Stappers <stappers@debian.org>  Sun, 28 May 2017 12:26:50 +0200

arduino (2:1.0.5+dfsg2-4) unstable; urgency=medium

  * Add revisions.txt to distribution (LP: #1319627)
  * DSV 3.9.5 no changes

 -- Scott Howard <showard@debian.org>  Thu, 29 May 2014 16:58:21 -0400

arduino (2:1.0.5+dfsg2-3) unstable; urgency=low

  * Bump epoch to fix versioning problems with arduino-mk

 -- Scott Howard <showard@debian.org>  Wed, 02 Apr 2014 16:17:49 -0400

arduino (1:1.5.6.2+really1.0.5-1) unstable; urgency=low

  * Replace accidental upload to unstable.

 -- Scott Howard <showard@debian.org>  Tue, 01 Apr 2014 16:53:39 -0400

arduino (1:1.0.5+dfsg2-2) unstable; urgency=low

  * remove link to web-based icons in documentation. Fixes privacy
    violation, thanks lintian.

 -- Scott Howard <showard@debian.org>  Fri, 14 Feb 2014 16:41:41 -0500

arduino (1:1.0.5+dfsg2-1) unstable; urgency=low

  * New upstream release
  * removed debian/patches/fr_fix.diff, applied upstream
  * Added Keywords to arduino.desktop
  * SV 3.9.4 no changes
  * Vcs-* changed to cannonical URLs
  * New patches:
    - debian/patches/Adafruit_GFX.patch: fixed typo
    - debian/patches/const_progmem.patch: PROGMEM variables must be
      consts
    - debian/patches/depricated_typedef_support.patch: enable
      compatibility support for avr-libc depricated typedefs
    - debian/patches/roboIRread.patch: fixed typos

 -- Scott Howard <showard@debian.org>  Tue, 04 Jun 2013 11:58:36 -0400

arduino (1:1.0.4+dfsg-2) unstable; urgency=low

  * Merge from experimental
  * Create symoblic link /usr/share/arduino/harware/tools/avr to /usr
    Thanks to Alessandro Ghedini (Closes: #704001)

 -- Scott Howard <showard@debian.org>  Sun, 05 May 2013 14:46:53 -0400

arduino (1:1.0.4+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 18 Mar 2013 22:14:36 -0400

arduino (1:1.0.3+dfsg-2) experimental; urgency=low

  * debian/patches/no-caller-saves.patch
    - workaround for GCC 4.7 bug, WiFi.cpp won't compile (Closes: #698254)
      (LP: #1112499)

 -- Scott Howard <showard@debian.org>  Fri, 01 Feb 2013 09:47:46 -0500

arduino (1:1.0.3+dfsg-1) experimental; urgency=low

  * New upstream release. Updated debian/copyright and added copyright_check
    rule to debian/rules

 -- Scott Howard <showard@debian.org>  Fri, 28 Dec 2012 11:45:55 -0500

arduino (1:1.0.2+dfsg-1) experimental; urgency=low

  * New upstream release
    - No wifishield firmware inluded in Debian: pre-compiled avr32 binaries
      with no sane build system. For source code and binaries, see the
      wifishield repo on github
  * refreshed patches:
    - debian/patches/SimpleDateFormat_fix.diff deleted, applied upstream
    - debian/patches/gcc47_avr.patch updated, partially applied upstream
    - debian/patches/wrapper_for_deb.patch updated, partially applied upstream
  * Updated debian/copyright for new files

 -- Scott Howard <showard@debian.org>  Mon, 05 Nov 2012 13:53:48 -0500

arduino (1:1.0.1+dfsg-7) unstable; urgency=low

  * Fixed another gcc 4.7 related bug in Ethernet library due to IPAddress
    pointing to either a uint8_t or unint32_t IP address (Closes: #689325)
    Thanks to Francesco Apollonio

 -- Scott Howard <showard@debian.org>  Tue, 02 Oct 2012 15:19:56 -0400

arduino (1:1.0.1+dfsg-6) unstable; urgency=low

  * Fixes gcc 4.7 related build failure of Ethernet library
    (Closes: #684748)

 -- Scott Howard <showard@debian.org>  Fri, 24 Aug 2012 09:29:34 -0400

arduino (1:1.0.1+dfsg-5) unstable; urgency=low

  * Updated Resources_fr.propertues to fix French transtaion of Copy
    in Edit menu (Closes: #682079)

 -- Scott Howard <showard@debian.org>  Mon, 30 Jul 2012 11:04:58 -0400

arduino (1:1.0.1+dfsg-4) unstable; urgency=low

  * Fixed French translation of "Copy" in "Edit" menu (Closes: #682079)

 -- Scott Howard <showard@debian.org>  Thu, 19 Jul 2012 13:51:07 -0400

arduino (1:1.0.1+dfsg-3) unstable; urgency=low

  * Fixed spelling error in pop-up window that adds users to dialout
    group. Clarified that clicking "Add" will add you to the group.
    (Closes: #677376)
  * Added patches for core library using gcc-avr 4.7 (Closes: #677294)

 -- Scott Howard <showard@debian.org>  Wed, 13 Jun 2012 10:30:23 -0400

arduino (1:1.0.1+dfsg-2) unstable; urgency=low

  * debian/patches/SimpleDateFormat_fix.diff
    - Arduino would fail to launch if date strings were improperly
      translated. (Closes: #674415)

 -- Scott Howard <showard@debian.org>  Sun, 03 Jun 2012 16:35:24 -0400

arduino (1:1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 22 May 2012 09:26:04 -0400

arduino (1:1.0.1~rc2+dfsg-2) experimental; urgency=low

  * Allow for opening file from command line or file manager
    e.g. "$ arduino {filename}.ino" (LP: #998952)
  * Properly detect groups assigned by PAM (Closes: #669058)

 -- Scott Howard <showard@debian.org>  Mon, 14 May 2012 00:05:04 -0400

arduino (1:1.0.1~rc2+dfsg-1) experimental; urgency=low

  * Updated watch file, remove compressed avrtools that upstream added
  * New upstream release.

 -- Scott Howard <showard@debian.org>  Wed, 11 Apr 2012 23:21:24 -0400

arduino (1:1.0.1~rc1+dfsg-1) experimental; urgency=low

  * New upstream release, experimental.

 -- Scott Howard <showard@debian.org>  Sun, 11 Mar 2012 18:19:42 -0400

arduino (1:1.0+dfsg-9) unstable; urgency=low

  * *.pde has been renamed *.ino by upstream. debian/rules changed
    to not compress *.ino

 -- Scott Howard <showard@debian.org>  Thu, 01 Mar 2012 15:58:45 -0500

arduino (1:1.0+dfsg-8) unstable; urgency=low

  * Made the bootloader makefile script executable, no need for lintian
    overrides any more (arduino/hardware/arduino/bootloaders/optboot/makeall)
  * Removed all mjo makefile patches from package. Arduino-mk is now
    suggested by arduino-core.
  * Debian S-R 3.9.3 no changes

 -- Scott Howard <showard@debian.org>  Sun, 26 Feb 2012 10:52:34 -0500

arduino (1:1.0+dfsg-7) unstable; urgency=low

  * arduino-core depends on libconfig-yaml-perl. Ship mjo/ard-parse-boards
    (Closes: #660271). Will eventually drop that depend and move all mjo/
    to new package now that there are regular releases.

 -- Scott Howard <showard@debian.org>  Sat, 18 Feb 2012 12:01:40 -0500

arduino (1:1.0+dfsg-6) unstable; urgency=low

  * New upstream release of mjo makefile (0.8). debian/patches/mjo* updated
    - Patches for version 1.0 of the Arduino IDE. Older versions might still
      work, but I've not tested it.
    - A change to the build process: rather than link all the system objects
      directly into the executable, bundle them in a library first. This
      should make the final executable smaller.
    - If TARGET isn't explicitly set, default to the current directory name.
      Thanks to Daniele Vergini for this patch.
    - Add support for .c files in system libraries: Dirk-Willem van Gulik and
      Evan Goldenberg both reported this and provided patches in the same
      spirit.
    - Added a size target as suggested by Alex Satrapa.


 -- Scott Howard <showard@debian.org>  Sun, 12 Feb 2012 17:33:27 -0500

arduino (1:1.0+dfsg-5) unstable; urgency=low

  * Updated Arduino.mk and arduino-cli.html in arduino-core for
    version 1.0 of IDE (Closes: #654162) Thanks to Antoine Sirinelli.

 -- Scott Howard <showard@debian.org>  Sun, 22 Jan 2012 00:55:49 -0500

arduino (1:1.0+dfsg-4) unstable; urgency=low

  * policykit moved to Recommends. Package can be configured
    and work without policykit (Closes: #653295)
  * Dependency on zenity removed (Closes: #653296). Uses Debian
    specefic checker in debian/permission-checker instead (written in
    java as to pull in no extra dependencies).

 -- Scott Howard <showard@debian.org>  Tue, 27 Dec 2011 12:21:24 -0500

arduino (1:1.0+dfsg-3) unstable; urgency=low

  * Only add user to dialout group, not tty. Testing shows only
    dialout is necessary, and don't want to add extra permissions.
  * added manpage for arduino-add-groups

 -- Scott Howard <showard@debian.org>  Fri, 23 Dec 2011 11:03:49 -0500

arduino (1:1.0+dfsg-2) unstable; urgency=low

  * Historic arduino main.cxx and Makefile removed in favor of
    /usr/share/arduino/Arduino.mk. (Closes: #652571)
  * Updated debian/watch to ignore versions starting with 00
  * debian/patches/permission_fix.patch,
    debian/dist/cc.arduino.add-groups.policy,
    debian/dist/arduino-add-groups added to add users to dailout and
    tty groups if needed. (Closes: #652523)
  * Added debian/arduino.sharedmimeinfo

 -- Scott Howard <showard@debian.org>  Sun, 18 Dec 2011 21:12:15 -0500

arduino (1:1.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/patches/arduino_protocol_avrdude_510.patch removed, applied upstream

 -- Scott Howard <showard@debian.org>  Mon, 05 Dec 2011 18:36:02 -0500

arduino (1:1.0~beta1+dfsg-1) experimental; urgency=low

  * New upstream beta release
  * Added new icons for hicolor theme
  * refreshed patches
  * Fix for Ethernet library with gcc-avr 4.5.3 (Closes: #645321,
    LP: #865266)

 -- Scott Howard <showard@debian.org>  Wed, 19 Oct 2011 10:01:21 -0400

arduino (0022+dfsg-3) unstable; urgency=low

  * Moved all non-java bits to arduino-core (Closes: #613812)
  * Edited Makefile to compile libraries during Makefile builds.
    - debian/patches/makefile_libraries.diff (Closes: #594191)
      Thanks to Stefan Tomanek
  * debian/icons/* debian/arduino.xpm  New icons, thanks to Peter Oliver.

 -- Scott Howard <showard@debian.org>  Tue, 29 Mar 2011 11:01:22 -0400

arduino (0022+dfsg-2) unstable; urgency=low

  * Updated debian/watch (Closes: #611745)
  * debian/control
    - DM-U-A removed, changed maintainer to @debian.org
    - versioned depends on rxtx (>=2.2pre2-3) for Arduino Uno support
  * debhelper 8 and debian/compat 8

 -- Scott Howard <showard@debian.org>  Thu, 10 Feb 2011 22:50:33 -0500

arduino (0022+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Dependency pruning: no need to depend on libecj-java, liboro-java
  * Refreshed patches, removed convet_to_debian_oro.patch (no longer
    needed)
  * Fixed typo in description (Closes: #608334, LP: #695481)

 -- Scott Howard <showard314@gmail.com>  Sat, 08 Jan 2011 11:02:17 -0500

arduino (0021+dfsg-3) experimental; urgency=low

  * Corrected wrapper LD_LIBRARY_PATH variable in case it is not set
    debian/patches/wrapper_for_deb.patch
  * debian/patches/remove_update_warning.patch
    -Removed notification of new upstream versions (Closes: #603818)
  * Dependency pruning: no need to depend on a jdk or ant

 -- Scott Howard <showard314@gmail.com>  Sat, 20 Nov 2010 11:25:00 -0500

arduino (0018+dfsg-6) unstable; urgency=low

   * Properly sets LD_LIBRARY_PATH in the arduino wrapper if it has not
     be previously defined or empty. See Debian bug 602041.
   * Corrected typo in arduino (0018+dfsg-5) debian/changelog entry
     /usr/lib/jni is correct (used to be /usr/lib/java, which is
     incorrect)

 -- Scott Howard <showard314@gmail.com>  Mon, 01 Nov 2010 20:47:30 -0400

arduino (0018+dfsg-5) unstable; urgency=low

   * Sets LD_LIBRARY_PATH in the arduino wrapper to look in /usr/lib/jni.
     This allows arduino to start when using a sun-java jre. See Debian
     bug 382686.

 -- Scott Howard <showard314@gmail.com>  Sat, 30 Oct 2010 11:26:53 -0400

arduino (0021+dfsg-2) experimental; urgency=low

  * updates wrapper_for_deb.patch to set the LD_LIBRARY_PATH for sun-java
    jre. (LP: #664309)
  * debian/patches/install_jar_links.patch
    - Added patch to install symlinks for Debian java library packages.

 -- Scott Howard <showard314@gmail.com>  Sun, 24 Oct 2010 22:27:17 -0400

arduino (0021+dfsg-1) experimental; urgency=low

  * New upstream release (debian/rules get-orig-source target updated)

 -- Scott Howard <showard314@gmail.com>  Tue, 05 Oct 2010 22:10:54 -0400

arduino (0019+dfsg-1) experimental; urgency=low

  * New upstream release
    - switch to ant build system
    - refreshed patches
  * Debian policy 3.9.1

 -- Scott Howard <showard314@gmail.com>  Wed, 08 Sep 2010 18:54:10 -0400

arduino (0018+dfsg-4) unstable; urgency=low

  * Corrected and added stanzas to debian/copyright for
    - libraries/Ethernet/utility/w5100.* (GPL-2)
    - examples/ArduinoISP/ArduinoISP.pde (BSD)
    Thanks to Eberhard Fahle.
  * Depends on openjdk-6-jdk OR sun-java6-jdk. Thanks to Guillermo Reisch
  * Added support for Debian's avrdude upload protocol in
    hardware/arduino/boards.txt, thanks to Ami Chayun (Closes: 588083)
  * Debian policy 3.9.0 (no changes)

 -- Scott Howard <showard314@gmail.com>  Wed, 07 Jul 2010 21:50:09 -0400

arduino (0018+dfsg-3) unstable; urgency=low

  * Removed unneeded javadoc and arduino.jar to usr/share/arduino/
  * Changed Priority to extra (Closses: #586782)

 -- Scott Howard <showard314@gmail.com>  Fri, 25 Jun 2010 18:36:16 -0400

arduino (0018+dfsg-2) unstable; urgency=low

  [ Philip Hands ]
  * Merge arduino-core into full Java package
  * Use 0.4 version of Martin Oldfield's Arduino.mk

  [ Scott Howard ]
  * Added a arduino.README.Debian for users with non-reparenting WMs
  * Added Philip Hands as an uploader and Vcs info to debian/control
  * Installs reference/ and examples/ to /usr/share/doc and links from
    /usr/share/arduino
  * added prefixes to files in a debian directory for arduino and
    arduino-core package files

 -- Philip Hands <phil@hands.com>  Tue, 08 Jun 2010 20:14:01 +0100

arduino (0018+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #577249)

 -- Scott Howard <showard314@gmail.com>  Tue, 13 Apr 2010 22:32:24 -0400
